List Product Hunt topics
List Product Hunt topics, cursor-paged, with up to 100 topics per page.
Headers
Get your API keyAPI key (`sfk_...`)
Cursor from `page.nextCursor` of the previous response. It only works with the same endpoint and filters.
min 1 chars · max 1024 chars
Endpoint-specific response payload.
Always `found` on success.
one of: found, not_found
The topics on this page, each with its description and followers.
Topic id, e.g. `268`.
Topic slug, e.g. `artificial-intelligence`.
Topic name, e.g. `Artificial Intelligence`.
Topic description.
Follows of the topic.
≥ 0
How many topics Product Hunt lists.
≥ 0
Pagination state for the current page.
Whether another page is available.
Cursor to pass in the next request when more pages exist; null on the last page.
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/product-hunt/topics" \
-H "x-api-key: YOUR_API_KEY"Responses
Product Hunt topic list.